<template>
  <b-row>
    <b-col
      v-for="(col, i) in cols"
      :key="i"
      :cols="col"
      style="min-height: 100px;"
    >
      <ac-builder
        :group_name="'layout_group_'+i"
        :data="[]"
        @onChoose="handleChoose"
        @onChange="handleChange"
      >
      </ac-builder>
    </b-col>
    <slot />
  </b-row>
</template>
<script>
/**
 * ac layout component
 * @requires VueBootstrap
 */

export default {
  name: 'ac-layout',

  data() {
    return {
      cols: [],
    }
  },

  created() {
    this.cols = Object.assign([], this.data)
  },

  props: {
    /**
      * @param {array} data - Array of objects. Each object will be rendered as form item
      */
    data: {
      type: Array,
      required: true,
      default: () => [],
    },
  },

  methods: {
    handleChoose() {

    },

    handleChange() {

    },
  },
}
</script>
